11.10. Preserving aspect ratio
Prev | Chapter 11. Basic usage of MEncoder | Next

## 11.10. Preserving aspect ratio

DVDs and SVCDs (i.e. MPEG-1/2) files contain an aspect ratio value, which describes how the player should scale the video stream, so humans will not have egg heads (ex.: 480x480 + 4:3 = 640x480). However when encoding to AVI (DivX) files, you have to be aware that AVI headers do not store this value. Rescaling the movie is disgusting and time consuming, there has to be a better way!

There is

MPEG-4 has a unique feature: the video stream can contain its needed aspect ratio. Yes, just like MPEG-1/2 (DVD, SVCD) and H.263 files. Regretfully, there are few video players apart from MPlayer that support this MPEG-4 attribute.

This feature can be used only with `libavcodec`'s `mpeg4` codec. Keep in mind: although MPlayer will correctly play the created file, other players may use the wrong aspect ratio.

You seriously should crop the black bands over and below the movie image. See the man page for the usage of the `cropdetect` and `crop` filters.

Usage

    mencoder sample-svcd.mpg -vf crop=714:548:0:14 -oac copy -ovc lavc \
        -lavcopts vcodec=mpeg4:mbd=2:trell:autoaspect -o output.avi

Prev | Up | Next
11.9. Extracting DVD subtitles to VOBsub file | Home | Chapter 12. Encoding with MEncoder